=== modified file 'bzrlib/ui/__init__.py'
--- bzrlib/ui/__init__.py	2009-04-24 13:30:48 +0000
+++ bzrlib/ui/__init__.py	2009-04-24 15:49:33 +0000
@@ -217,11 +217,13 @@
         return username
 
     def prompt(self, prompt, **kwargs):
-        """Emit prompt on the CLI."""
+        """Emit prompt on the CLI.
+        
+        :param kwargs: Dictionary of arguments to insert into the prompt,
+            to allow UIs to reformat the prompt.
+        """
         if kwargs:
-            # XXX: expanding kwargs should probably be done at a higher level;
-            # it doesn't seem particularly helpful here and see
-            # https://launchpad.net/bugs/365891
+            # See <https://launchpad.net/bugs/365891>
             prompt = prompt % kwargs
         prompt = prompt.encode(osutils.get_terminal_encoding(), 'replace')
         self.clear_term()

